﻿(defun c:xdv (/ selObj regAppl dxf XDat name flag)
  (if
    (setq selObj(car(entsel "\n*** Select object *** ")))
    (progn
      (setq regAppl(vla-get-RegisteredApplications
		     (vla-get-ActiveDocument
		       (vlax-get-acad-object)))
	    ); end setq
      (vlax-for app regAppl
       (setq dxf(entget selObj(list(setq name(vla-get-Name app)))))
	(if(setq XDat(assoc -3 dxf))
	  (progn
	    (setq flag T)
	    (princ(strcat "\nApplication name: " name "\n"))
	    (princ XDat)
	    ); end progn
	  ); end if
	      ); end vlax-for
      (if(not flag)(princ "\n*** No XData found. ***"))
      ); end progn
    (princ "\n*** Nothing selected! ***")
    ); end if
  (princ)
  ); end c:xdv